Subject: [bug#75745] [PATCH] gnu: hugs: Ignore integer overflow.

From: Lars-Dominik Braun <[email-masked]>
Date: Sat, 25 Jan 2025 15:28:13 +0100

Hi Lennart,

> If someone fixes all the warnings when compiling Hugs, then I bet this
> problem goes away. But I am not going to do that. In its current state Hugs
> can compile a fully functional MicroHs, and that's enough for me.

actually, I can build the MicroHs package from
https://issues.guix.gnu.org/75778 just fine with our default, unpatched
Hugs. It can also compile/run the example from
https://github.com/augustss/MicroHs?tab=readme-ov-file#example.

Can we therefore just drop this patch? It causes Hugs to die with a
SIGFPE while evaluating the example expression `fromInteger (9 ^ 100)
:: Int` from above, which is rather ugly behavior.

And on an unrelated note: Would it be possible to bootstrap (a possibly
very, very old version of) GHC with MicroHs? (As far as I see our GHC
7 is currently bootstrapped via binaries.)

Lars